<?php

/**
 * The header for our theme
 *
 * This is the template that displays the `head` element and everything up
 * until the `#content` element.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WowPress
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<script src="<?= get_template_directory_uri() ?>/plugins/alpine.min.js" defer></script>
	<?php wp_head(); ?>
</head>

<body <?php body_class('dark'); ?>>

	<?php wp_body_open(); ?>



	<?php get_template_part('template-parts/layout/header', 'content'); ?>

	<div class="content-wrapper">
		<?php
		if ($GLOBALS['wowpress']['widget_area']['top'] !== false) :
		?>
			<div class="widget-wrapper top-widgets">
				<div id="demo-widget" class="widget">
					<h3>Titel Top 1</h3>
				</div>
			</div>
		<?php
		else :
		?>
			<div class="top-title">
				<?= $GLOBALS['wowpress']['page_title'] ?>
			</div>
		<?php
		endif;
		if ($GLOBALS['wowpress']['widget_area']['left'] !== false) :
		?>
			<?php if (is_active_sidebar('left-widgets')) : ?>
			<div class="widget-wrapper left-widgets">
					<?php dynamic_sidebar('left-widgets'); ?>
			</div>
			<?php endif; ?>
		<?php
		endif;
		?>

		<div id="content" class="content">